.TH "teem-vprobe" "1" "December 10, 2008" "1.10.0" "User Commands"
.SH "NAME"
teem\-vprobe \- Shows off the functionality of the gage library.
.SH "SYNOPSIS"
.B teem\-vprobe
\fI\-i <nin> \-k <kind> \fR[\fI\-v <verbosity>\fR] \fI\-q <query> \fR[\fI\-s <sclX \\fR
.SH "DESCRIPTION"
Uses gageProbe() to query various kinds of volumes to learn various measured or
derived quantities. Can set environment variable TEEM_VPROBE_HACK_ZI to limit
probing to a single z slice.
.IP 
sclY sxlZ>] [\-k00 <kern00>] [\-k11 <kern11>] [\-k22 <kern22>] [\-seed <N>] \e
[\-ssn <SS #>] [\-ssr <scale range>] [\-sss <scale save path>] [\-ssw <SS \e
pos>] [\-kssblur <kernel>] [\-kss <kernel>] [\-ssrn <ssrn>] [\-ssu] [\-rn] \e
[\-gmc <min gradmag>] [\-t <type>] [\-o <nout>]
.IP 
\fB\-i\fR <nin> = input volume
.IP 
\fB\-k\fR <kind> = "kind" of volume ("scalar", "vector", "tensor", or
.IP 
"dwi")
.HP
\fB\-v\fR <verbosity> = verbosity level (int); default: "1"
.IP 
\fB\-q\fR <query> = the quantity (scalar, vector, or matrix) to learn by
.IP 
probing (string)
.TP 
\fB\-s\fR <sclX sclY sxlZ> = scaling factor for resampling on each axis (>1.0 :
supersampling) (3 doubles); default: "1.0 1.0 1.0"
.HP
\fB\-k00\fR <kern00> = kernel for gageKernel00; default: "tent"
.HP
\fB\-k11\fR <kern11> = kernel for gageKernel11; default: "cubicd:1,0"
.HP
\fB\-k22\fR <kern22> = kernel for gageKernel22; default: "cubicdd:1,0"
.IP 
\fB\-seed\fR <N> = RNG seed; mostly for debugging (unsigned int);
.IP 
default: "42"
.IP 
\fB\-ssn\fR <SS #> = how many scale\-space samples to evaluate, or, 0 to
.IP 
turn\-off all scale\-space behavior (unsigned int);
default: "0"
.TP 
\fB\-ssr\fR <scale range> = range of scales in scale\-space (2 doubles);
default: "nan nan"
.PP 
\fB\-sss\fR <scale save path> = give a non\-empty path string (like "./") to save out
.IP 
the pre\-blurred volumes computed for the stack
(string); default: ""
.TP 
\fB\-ssw\fR <SS pos> = "world"\-space position (true sigma) at which to
sample in scale\-space (double); default: "0"
.TP 
\fB\-kssblur\fR <kernel> = blurring kernel, to sample scale space;
default: "dgauss:1,5"
.TP 
\fB\-kss\fR <kernel> = kernel for reconstructing from scale space samples;
default: "tent"
.TP 
\fB\-ssrn\fR <ssrn> = enable derivative normalization based on scale space
(int); default: "0"
.IP 
\fB\-ssu\fR = do uniform samples along sigma, and not (by default)
.IP 
samples according to the logarithm of diffusion time
.IP 
\fB\-rn\fR = renormalize kernel weights at each new sample
.IP 
location. "Accurate" kernels don't need this; doing it
always makes things go slower
.TP 
\fB\-gmc\fR <min gradmag> = For curvature\-based queries, use zero when gradient
magnitude is below this (double); default: "0.0"
.IP 
\fB\-t\fR <type> = type of output volume (type); default: "float"
\fB\-o\fR <nout> = output volume (string); default: "\-"
.SH "SEE ALSO"
The full documentation for
.B teem\-vprobe
is maintained as a Texinfo manual.  If the
.B info
and
.B teem\-vprobe
programs are properly installed at your site, the command
.IP 
.B info teem\-vprobe
.PP 
should give you access to the complete manual.
